> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Reports catalog + buildable sources

> Reports catalog + buildable sources



## OpenAPI

````yaml /api-reference/openapi.json get /api/reports
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/reports:
    get:
      tags:
        - Reports
      summary: Reports catalog + buildable sources
      description: Reports catalog + buildable sources
      operationId: getApiReports
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  reports:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                        category:
                          type: string
                          enum:
                            - Attendance
                            - Leave
                            - Payroll
                            - Compliance
                            - Custom
                        description:
                          type: string
                        source:
                          type: string
                        columns:
                          type: array
                          items:
                            type: string
                        formats:
                          type: array
                          items:
                            type: string
                            enum:
                              - CSV
                              - Excel
                              - PDF
                        starred:
                          type: boolean
                        isCustom:
                          type: boolean
                        runnable:
                          type: boolean
                        templateKey:
                          anyOf:
                            - type: string
                            - type: 'null'
                        param:
                          type: string
                          enum:
                            - month
                            - fy
                            - none
                        scheduleFreq:
                          type: string
                          enum:
                            - None
                            - Daily
                            - Weekly
                            - Monthly
                        scheduleFormats:
                          type: array
                          items:
                            type: string
                            enum:
                              - CSV
                              - Excel
                              - PDF
                        deliverTo:
                          type: array
                          items:
                            type: string
                            format: email
                            pattern: >-
                              ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                        nextRunAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        lastRunAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        rowCount:
                          anyOf:
                            - type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            - type: 'null'
                      required:
                        - id
                        - name
                        - category
                        - description
                        - source
                        - columns
                        - formats
                        - starred
                        - isCustom
                        - runnable
                        - templateKey
                        - param
                        - scheduleFreq
                        - scheduleFormats
                        - deliverTo
                        - nextRunAt
                        - lastRunAt
                        - rowCount
                  sources:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                        label:
                          type: string
                        category:
                          type: string
                          enum:
                            - Attendance
                            - Leave
                            - Payroll
                            - Compliance
                            - Custom
                        param:
                          type: string
                          enum:
                            - month
                            - fy
                            - none
                        columns:
                          type: array
                          items:
                            type: object
                            properties:
                              key:
                                type: string
                              label:
                                type: string
                            required:
                              - key
                              - label
                        buildable:
                          type: boolean
                      required:
                        - key
                        - label
                        - category
                        - param
                        - columns
                        - buildable
                required:
                  - reports
                  - sources
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````